{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
  {{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->
        
        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='update-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}
            <fieldset>
              <legend class="mb-4 text-white d-inline-block">
                {% trans "Update my personal details" %}
              </legend>
              <div class="form-group row art-form-field">
                <label for="name" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.name.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.name class+="art-input custom-art-input" id="name" value=update_data.name %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="title" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.title.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.title class+="art-input custom-art-input" id="title" value=update_data.title %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="age" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.age.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.age class+="art-input custom-art-input" id="age" value=update_data.age %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="country" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.country.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.country class+="art-input custom-art-input" id="country" value=update_data.country %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="facebook" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.facebook.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.facebook class+="art-input custom-art-input" id="facebook" value=update_data.facebook %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="twitter" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.twitter.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.twitter class+="art-input custom-art-input" id="twitter" value=update_data.twitter %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="youtube" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.youtube.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.youtube class+="art-input custom-art-input" id="youtube" value=update_data.youtube %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="instagram" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.instagram.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.instagram class+="art-input custom-art-input" id="instagram" value=update_data.instagram %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="snapchat" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.snapchat.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.snapchat class+="art-input custom-art-input" id="snapchat" value=update_data.snapchat %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="details_list_items" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.details_list_items.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  <textarea name="details_list_items" cols="40" rows="10" id="id_details_list_items">{{update_data.details_list_items}}</textarea>
                </div>
              </div>
              <!-- form field end -->
              <!-- button -->
              <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                <button class="art-btn art-btn-md art-submit" type="submit">
                  <span>{% trans 'Update' %}</span>
                </button>
                <!-- success -->
              </div>
            </fieldset>
          </form>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}